.generic-grid {
    display: grid;
    grid-template-columns: auto 1fr;
    grid-column-gap: 1em;
    grid-row-gap: 0.2em;
    word-break: break-all;
    margin-bottom: 1em;
}
.gap-05 {
    grid-row-gap: 1ch;
    grid-column-gap: 1ch;
}
.gap-0 {
    grid-row-gap: 0ch;
    grid-column-gap: 0ch;
}
.generic-grid-role {
    grid-column: 1 / -1;
    margin-top: 1em;
    margin-bottom: 1em;
}
.role-tight {
    margin-top: 0;
    margin-bottom: 0;
}
.generic-grid-row-kind {
    grid-column: 1 / 2;
    justify-self: end;
}
.just-start {
    justify-self: start;
}
.generic-grid-row-value {
    grid-column: 2 / 3;
}
.grid-code {
    white-space: pre-wrap;
    font-family: var(--font-family-monospace);
    font-size: .9em;
    color: var(--tone-one-dark);
    background-color: var(--bg-code);
    padding: .5em;
    margin: 0;
    word-break: break-all;
    line-height: 1.5em;
}
.justify-self-start {
    justify-self: start;
}
